Bug 402601 - System freezes after closing laptop lid (kernel panic)
System freezes after closing laptop lid (kernel panic)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-28 07:49 EST by Àlex Magaz Graça
Modified: 2009-01-09 00:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:21:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel panic (150.88 KB, image/jpeg)
2008-06-17 04:32 EDT, Àlex Magaz Graça
no flags Details

  None (edit)
Description Àlex Magaz Graça 2007-11-28 07:49:57 EST
Description of problem:
If I close the laptop lid, when I open it again the system freezes.

Version-Release number of selected component (if applicable):
2.6.23.1-49.fc8

How reproducible:

Always when doing it from a Gnome session or from a virtual console.

Steps to Reproduce:
1. Login in a Gnome session or switch to a text virtual console
2. Close and open the laptop lid
  
Actual results:

The system freezes (keyboard and mouse stop working). It also doesn't respond to
pings.

Expected results:

The system continues working normally.

Additional info:

The laptop is a HP Compaq 2510p. Smolt profile at
http://www.smolts.org/show?UUID=48fbe290-893b-4877-ba4e-9981e2e1c8d4

It doesn't happen when I do it from a GDM login screen.

When I do it from a text console, this message is printed:

BUG: unable to handle kernel paging request at virtual address 00004005
printing eip: 000004005

If I'm logged in (text console) a kernel panic is printed with a stack trace.
Sorry, but I couldn't connect through a serial console to get the message and I
no longer have the laptop. Maybe I can get another laptop like this to get the
message and paste it here.

It doesn't halts if I add "blacklist video" to /etc/modprobe.d/blacklist
Comment 1 Àlex Magaz Graça 2007-12-03 04:01:14 EST
Finally I could do some more tests. It doesn't fail always from virtual console
as I said, sometimes the laptop continues working correctly.

I connected through a serial console but couldn't get the message on it, so here
is an excerpt (sorry, no addresses):

[...]
acpi_ps_pop_scope
acpi_os_release_object
acpi_ps_complete_op
acpi_ps_parse_loop
acpi_os_release_object
acpi_ps_parse_aml
acpi_ds_init_aml_walk
acpi_ps_execute_method
acpi_ns_evaluate
acpi_ut_release_mutex
acpi_ev_asynch_execute_gpe_method
acpi_os_execute_deferred
acpi_os_execute_deferred
run_workqueue
worker_thread
worker_thread
autoremove_wake_function
kthread
kthread
kernel_thread_helper
===================
Code: Bad EIP value.
EIP: [<7e7e7dc4>] 0x7e7e7dc4 SS:ESP 0068:f7c07ca4
Kernel panic - not syncing: Attempted to kill the idle task!

Today I got an HP Compaq 6510b
(http://www.smolts.org/show?UUID=520ec3f1-463a-42e6-8920-773f4a1933ee) and has
the same problem. This message is printed (also incomplete):

[...]
virtual address 00000000
printing eip: f7c26dc3 <1>BUG: unable to handle kernel pagin request at virtual
address 3f7e7dc4
printing eip: 3f7e7dc4 *pde = 00000000
Oops: 0000 [#1] SMP
Modules linked in: [...]
CPU: 1
EIP: 0000:[<3f7e7dc4>] Not tainted VLI
EFLAGS: 3f7e7dc4 (2.6.23.1-49.fc8 #1)
EIP is at 0x3f7e7dc4
eax: 0000001a ebx: f7c26db4 ecx: 00000046 edx: 00000000
esi: 00000000 edi: 00000000 ebp: 00000000 esp: 3f7e7de0
ds: 007b es: 007b fs: 00d8 gs: 0000 ss: e488
Process swapper (pid: 0, ti=f7c26000 task=f7c02c20 task.ti=c18ec000)
EIP: [<3f7e7dc4>] 0x3f7e7dc4 SS:ESP 0068:f7c26c9c
Kernel panic - not syncing: Attempted to kill the idle task!

A similar message also appeared sometimes on the first laptop.
Comment 2 Àlex Magaz Graça 2008-06-17 04:32:19 EDT
Created attachment 309581 [details]
kernel panic
Comment 3 Àlex Magaz Graça 2008-06-17 04:33:49 EDT
Now I have the same problem with an HP Compaq 6720s
(http://www.smolts.org/show?uuid=pub_47f274e0-a6ef-470a-a23b-4a33bfca0a3d) and
kernel 2.6.25.6-55.fc9.i686 (kernel panic photo attached). The system is a
Fedora 9 with all updates.
Comment 4 Bug Zapper 2008-11-26 03:43:47 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 00:21:46 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.